# dti_tax_core_vsdc_api_client_swagger
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v3
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import dti_tax_core_vsdc_api_client_swagger 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import dti_tax_core_vsdc_api_client_swagger
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import dti_tax_core_vsdc_api_client_swagger
from dti_tax_core_vsdc_api_client_swagger.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = dti_tax_core_vsdc_api_client_swagger.InvoicesApi(dti_tax_core_vsdc_api_client_swagger.ApiClient(configuration))
invoice_request = dti_tax_core_vsdc_api_client_swagger.InvoiceRequest() # InvoiceRequest | Invoice request.

try:
    # Post invoice request to sign invoice.
    api_response = api_instance.invoices_create_invoice(invoice_request)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InvoicesApi->invoices_create_invoice: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://vsdc.sandbox.suf.purs.gov.rs*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*InvoicesApi* | [**invoices_create_invoice**](docs/InvoicesApi.md#invoices_create_invoice) | **POST** /api/v3/invoices | Post invoice request to sign invoice.
*InvoicesApi* | [**invoices_get_signed_invoice**](docs/InvoicesApi.md#invoices_get_signed_invoice) | **GET** /api/v3/invoices/{requestId} | 
*StatusApi* | [**status_attention**](docs/StatusApi.md#status_attention) | **GET** /api/v3/attention | 
*StatusApi* | [**status_get_status**](docs/StatusApi.md#status_get_status) | **GET** /api/v3/status | This method returns general infromation about Tax Authority and current tax rate group used to  calculate taxes by this instance of V-SDC
*StatusApi* | [**status_get_tax_authority_params**](docs/StatusApi.md#status_get_tax_authority_params) | **GET** /api/v3/environment-parameters | This method returns general infromation about Tax Authority


## Documentation For Models

 - [GetStatusResponse](docs/GetStatusResponse.md)
 - [InvoiceRequest](docs/InvoiceRequest.md)
 - [InvoiceResult](docs/InvoiceResult.md)
 - [Item](docs/Item.md)
 - [Payment](docs/Payment.md)
 - [TaxCategory](docs/TaxCategory.md)
 - [TaxCorePublicConfiguration](docs/TaxCorePublicConfiguration.md)
 - [TaxItem](docs/TaxItem.md)
 - [TaxRate](docs/TaxRate.md)
 - [TaxRateGroup](docs/TaxRateGroup.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author



